VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form fMain 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "VB example how to use BigSpeed Zip DLL to extract from zip file "
   ClientHeight    =   4485
   ClientLeft      =   1920
   ClientTop       =   1890
   ClientWidth     =   7335
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   204
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H00000080&
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4485
   ScaleWidth      =   7335
   StartUpPosition =   2  'CenterScreen
   Begin VB.DirListBox DirBox 
      Height          =   3465
      Left            =   4800
      TabIndex        =   5
      Top             =   360
      Visible         =   0   'False
      Width           =   2415
   End
   Begin MSComDlg.CommonDialog CmnDlg 
      Left            =   240
      Top             =   1800
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton btnExtract 
      Caption         =   "Extract"
      Enabled         =   0   'False
      Height          =   375
      Left            =   3960
      TabIndex        =   4
      Top             =   3960
      Width           =   1080
   End
   Begin VB.CommandButton btnClose 
      Caption         =   "Close"
      Enabled         =   0   'False
      Height          =   375
      Left            =   2160
      TabIndex        =   3
      Top             =   3960
      Width           =   1080
   End
   Begin VB.CommandButton btnOpen 
      Caption         =   "Open"
      Height          =   375
      Left            =   360
      TabIndex        =   2
      Top             =   3960
      Width           =   1080
   End
   Begin VB.ListBox ZipList 
      Height          =   3375
      ItemData        =   "fMain.frx":0000
      Left            =   0
      List            =   "fMain.frx":0002
      TabIndex        =   1
      Top             =   360
      Width           =   4455
   End
   Begin VB.CommandButton btnExit 
      BackColor       =   &H00C0C0C0&
      Caption         =   "E&xit"
      Height          =   360
      Left            =   5640
      TabIndex        =   0
      Top             =   3960
      Width           =   1080
   End
   Begin VB.Label lblDirBox 
      Caption         =   "Extract directory"
      Height          =   255
      Left            =   4800
      TabIndex        =   7
      Top             =   120
      Visible         =   0   'False
      Width           =   1935
   End
   Begin VB.Label lblZip 
      Caption         =   "No open zip file"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   4335
   End
End
Attribute VB_Name = "fMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit
Dim ZipFileName

Private Sub btnClose_Click()
  zCloseZipFile
  ZipFileName = ""
  ZipList.Clear
  btnClose.Enabled = False
  btnExtract.Enabled = False
  lblZip.Caption = "No open zip file"
  DirBox.Visible = False
  lblDirBox.Visible = False
End Sub

Private Sub btnExit_Click()
  End
End Sub


Private Sub btnExtract_Click()
  If zExtractAll(DirBox.List(DirBox.ListIndex), "", 1, 1, 1, 0, 0) <> 0 Then
    MsgBox (StringFromPointer(zGetLastErrorAsText))
  Else
    MsgBox ("Success!")
  End If
End Sub

Private Sub btnOpen_Click()
  Dim Count, i
  CmnDlg.ShowOpen
  ZipFileName = CmnDlg.FileName
  If ZipFileName = "" Then
    Exit Sub
  End If
  If zOpenZipFile(ZipFileName) <> 0 Then
    MsgBox (StringFromPointer(zGetLastErrorAsText))
    Exit Sub
  End If
  ZipList.Clear
  btnClose.Enabled = True
  btnExtract.Enabled = True
  lblZip.Caption = "Contents of " + ZipFileName
  DirBox.Visible = True
  lblDirBox.Visible = True
  
  Count = zGetTotalFiles - 1
  For i = 0 To Count
    ZipList.AddItem (StringFromPointer(zGetFileName(i)) + "   " + Str(zGetFileSize(i)) + "   " + StringFromPointer(zGetFilePath(i)))
  Next i
  
End Sub

Private Sub Form_Unload(Cancel As Integer)
  End
End Sub


